import 'package:flutter/material.dart';
import 'dart:async';

import 'package:ali_trtc_plugin/ali_trtc_plugin.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
    AliTrtcPlugin.setAppidAndAppKey(
        'e4p43wcg', '835752f5a0c91f40241552cc8f65db90');
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    // _platformVersion = AliTrtcPlugin.platformVersion as String;
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: GestureDetector(
            child: Text('Running on: $_platformVersion\n'),
            onTap: () {
              AliTrtcPlugin.joinAudioAndVideoRoom(
                  '123456789', '123456');
            },
          ),
        ),
      ),
    );
  }
}
